For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-instruments-cefi.md.

Get instruments

GET
/v1/cefi/instruments

Query for instruments available on the exchange by specific instrument ID or symbol. If no query parameters are supplied than ALL available instruments will be returned.

Query Parameters

id?string

ID of instrument to query for.

Match^[1-9][0-9]*$
Length1 <= length
symbol?string

Filters instruments by symbol. Returns instruments where the symbol is an exact match or contains the provided substring. Matching is case-sensitive.

Length1 <= length

Response Body

Successful operation.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.truex.co/v1/cefi/instruments'
Example Response
[  {    "id": "78901949723181070",    "status": "ACTIVE",    "info": {      "symbol": "BTC-PYUSD",      "reference_price": "75000.50",      "base_asset_id": "78901949718265865",      "quote_asset_id": "78901949717282824",      "price_limit_window_secs": "3600",      "price_limit_percent": "0.015",      "price_bands_percent": "0.025"    },    "stats": {      "last_24hr_notional": "4325606.30380",      "last_24hr_quantity": "123754.234598480"    }  }]